---
title: Logitech MB850 combi in linux
date: 2021-10-30 00:00:01
tags:
  - linux
  - logitech
  - keyboard
  - mouse
---

As a follow-up to my last post, I've decided to also configure my mk850 combo (k850 + m720 triathlon).

Some notes:
* The keyboard is usually connected to this PC through bluetooth. Since this is a change I usually do in the system for every keyboard, I added a rule for any bus (usb, bluetooth, etc)
* The mouse has an additional button that registers as a keyboard. Every press maps to three key events. I've disabled two of them and mapped the action to F19, in case I want to use it in my DE/WM.

```cfg
evdev:input:*                                                        
 KEYBOARD_KEY_70039=leftctrl  # bind capslock to w 

evdev:input:b0005v046DpB015*
 KEYBOARD_KEY_700e0=f19
 KEYBOARD_KEY_700e2=unknown
 KEYBOARD_KEY_7002b=unknown

```

After that, simply run:

```
 sudo udevadm hwdb --update && sudo udevadm trigger
```

Make sure the settings have been applied by running `evemu-describe`:

```bash
 sudo /sbin/evemu-describe  /dev/input/event<id of your device> | grep KEY_  
```
